--- Makefile
+++ Makefile	2024-05-11 06:49:40.000000000 +0800
@@ -69,6 +69,9 @@
 ifeq (aarch64,$(shell uname -m))
 	POPCNT_CAPABILITY=0
 endif
+ifeq (powerpc,$(shell uname -p))
+	POPCNT_CAPABILITY=0
+endif
 ifeq (1, $(POPCNT_CAPABILITY))
     override EXTRA_FLAGS += -DPOPCNT_CAPABILITY
 endif

--- bt2_locks.h
+++ bt2_locks.h	2024-05-11 06:38:00.000000000 +0800
@@ -17,8 +17,8 @@
 			for (int32_t i = 0; i < count; i++) {
 #ifdef __aarch64__
 				__asm__ __volatile__("yield" ::: "memory");
-#elif __ppc__
-				__asm__ __volatile__("or 27,27,27" ::: "memory");
+#elif __ppc__ || __ppc64__
+				__asm__ __volatile__("or r27,r27,r27" ::: "memory");
 #elif __x86_64__
 				__asm__ __volatile__("pause;");
 #else
